package com.pcloud.book.group.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/11/15 14:09
 **/
public class CopyCipherRecord extends BaseEntity {
    private static final long serialVersionUID = 64309925992870280L;

    @ApiModelProperty("暗号")
    private String cipher;

    @ApiModelProperty("社群码id")
    private Long bookGroupId;

    @ApiModelProperty("微信用户id")
    private Long wechatUserId;

    public String getCipher() {
        return cipher;
    }

    public void setCipher(String cipher) {
        this.cipher = cipher;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getWechatUserId() {
        return wechatUserId;
    }

    public void setWechatUserId(Long wechatUserId) {
        this.wechatUserId = wechatUserId;
    }

    @Override
    public String toString() {
        return "CopyCipherRecord{" +
                "cipher='" + cipher + '\'' +
                ", bookGroupId=" + bookGroupId +
                ", wechatUserId=" + wechatUserId +
                "} " + super.toString();
    }
}
